--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns a symbolized version of the <tt>:format</tt> parameter of the request, or <tt>:html</tt> by default.
- !ruby/struct:SM::Flow::P 
  body: "EXCEPTION: If the <tt>:format</tt> parameter is not set, the Accept header will be examined for whether it contains the JavaScript mime type as its first priority. If that's the case, it will be used. This ensures that Ajax applications can use the same URL to support both JavaScript and non-JavaScript users."
full_name: ActionView::Base#template_format
is_singleton: false
name: template_format
params: ()
visibility: public
